QGIS Application - Bug report #19722
Exporting as DGN with "Save As..." gives an error.
2018-08-28 09:22 AM - Kadir S

Status: Closed

Priority: Normal

Assignee: Even Rouault

Category: Data Provider/OGR

Affected QGIS version:3.3(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27547
Description

Exporting a layer as DGN, QGIS gives the following error:

Export to vector file failed.
Error: creation of layer failed (OGR error:creation option " is not formatted with the key=value format)

It's the same in QGIS 3.2.1 (Export > Save Features As...)

Related issues:
Related to QGIS Application - Bug report # 19723: Exporting as DGN with QgsVe... Closed 2018-08-28

Associated revisions

Revision 6b620193 - 2018-09-21 07:56 PM - Even Rouault

QgsVectorFileWriter: fix DGN creation (fixes #19722, fixes #19723)

Revision 9dd14065 - 2018-09-22 12:43 AM - Even Rouault

Merge pull request #7979 from rouault/fix_19722

QgsVectorFileWriter: fix DGN creation (fixes #19722, fixes #19723)

History

#1 - 2018-08-29 04:50 PM - Giovanni Manghi

- Category changed from Unknown to Data Provider/OGR

- Easy fix? changed from Yes to No

- Operating System deleted (Windows 10 x64)

- Affected QGIS version changed from 2.18.22 to 3.3(master)

Confirmed on master/linux, it seems that one of the ogr(2ogr) creation option parameters is not well formatted.

#2 - 2018-08-29 07:28 PM - Jiirgen Fischer
- Related to Bug report #19723: Exporting as DGN with QgsVectorFileWriter.writeAsVectorFormat gives an error with code 3 added

#3 - 2018-09-21 04:41 PM - Even Rouault
- Assignee set to Even Rouault
#4 - 2018-09-22 12:43 AM - Even Rouault
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|6b620193178a1f55e3c1113b46047f42a5800937.

2025-03-15 22



